/*
	Copyright (C) 1991, Marcus J. Ranum. All rights reserved.
*/

/*
this is an example of how to handle updating rwho information from
within a MUD, specifically UnterMUD.

first off, we assume the client layer has already been initialized (a
safe bet) and then we send a 'mud-is-still-up' message, and then walk
our list of who is on, and send the information about each player as
a "plyer-is-logged-in" message
*/

#ifndef	lint
static	char	RCSid[] = "$Header: /usr/users/mjr/hacks/umud/RWHO/RCS/updat.c,v 1.2 91/08/18 21:49:43 mjr Exp $";
#endif

/* configure all options BEFORE including system stuff. */
#include	"config.h"

#ifdef NOSYSTYPES_H
#include	<types.h>
#else
#include	<sys/types.h>
#endif


#include	"mud.h"

update_rwho()
{
	char	*xx;
	time_t	tv;

	io_rstnxtwho();
	rwhocli_pingalive();
	while((xx = io_nxtwho(&tv)) != (char *)0)
		rwhocli_userlogin(xx,ut_name(xx),tv);
	return(0);
}
